# Asterisk Project : Asterisk 13 ManagerEvent_FAXSession

Created by wikibot on Aug 08, 2014

# FAXSession

### Synopsis

Raised in response to FAXSession manager command

### Description

### Syntax

    Event: FAXSession
    [ActionID:] <value>
    SessionNumber: <value>
    Operation: <value>
    State: <value>
    [ErrorCorrectionMode:] <value>
    [DataRate:] <value>
    [ImageResolution:] <value>
    [PageNumber:] <value>
    [FileName:] <value>
    [PagesTransmitted:] <value>
    [PagesReceived:] <value>
    [TotalBadLines:] <value>

##### Arguments

- `ActionID`
- `SessionNumber` - The numerical identifier for this particular session
- `Operation` - FAX session operation type
  - `gateway`
  - `V.21`
  - `send`
  - `receive`
  - `none`
- `State` - Current state of the FAX session
  - `Uninitialized`
  - `Initialized`
  - `Open`
  - `Active`
  - `Complete`
  - `Reserved`
  - `Inactive`
  - `Unknown`
- `ErrorCorrectionMode` - Whether error correcting mode is enabled for the FAX session. This field is not included when operation is 'V.21 Detect' or if operation is 'gateway' and state is 'Uninitialized'
  - `yes`
  - `no`
- `DataRate` - Bit rate of the FAX. This field is not included when operation is 'V.21 Detect' or if operation is 'gateway' and state is 'Uninitialized'.
- `ImageResolution` - Resolution of each page of the FAX. Will be in the format of X_RESxY_RES. This field is not included if the operation is anything other than Receive/Transmit.
- `PageNumber` - Current number of pages transferred during this FAX session. May change as the FAX progresses. This field is not included when operation is 'V.21 Detect' or if operation is 'gateway' and state is 'Uninitialized'.
- `FileName` - Filename of the image being sent/recieved for this FAX session. This field is not included if Operation isn't 'send' or 'receive'.
- `PagesTransmitted` - Total number of pages sent during this session. This field is not included if Operation isn't 'send' or 'receive'. Will always be 0 for 'receive'.
- `PagesReceived` - Total number of pages received during this session. This field is not included if Operation is not 'send' or 'receive'. Will be 0 for 'send'.
- `TotalBadLines` - Total number of bad lines sent/recieved during this session. This field is not included if Operation is not 'send' or 'received'.

### Class

REPORTING

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538